# Night City | Now with a new skybox and new lighting! - Final version

## 1. What is it?
**Night City mod is a visual-only mod for Angel City map, adds a brand new skybox, makes the map night time and replaces vanilla Angel City's materials with Cyberpunk 2077 (Night City) themed adverts, such as billboards, posters, paintings etc.**

**The bright trees you see in the preview images are part of [S2ymi's GlitchOverhaul](https://northstar.thunderstore.io/package/S2Mods/GlitchOverhaul/) mod. Fucker didn't let me use them in this package so I strongly recommend you to download it as well because those trees really fit well with this mod.**


### **This zip contains;**
* Night City mod itself,
* Custom space themed skybox (Nebula)
* Custom mod that removes the sun, fog and smoke from the map,
* Custom Loadscreen image for Night City,
* Custom lighting for Night City (only works for Angel City, other maps will use the vanilla light)

### Additional info and support:
* Some materials modified with this mod are shared assets. So some of them will be visible on other maps as well. (No, there's nothing I can do about it.)<br>
* The only known issue so far is the **flashing & flickering** texture thing especially on metal surfaces. If you encounter this after installing this mod, change your **"Model Draw Distance"** setting to **"Normal"** or change your **"Adaptive Resolution FPS Target"** to 0 (zero) and enable **"Anti-Aliasing"**, it helps.<br>
* If you're having a problem other than this, feel free to ping me in #modding-chat on Northstar discord.<br>

## 2. In-Game Screenshots
![1](https://raw.githubusercontent.com/rwynx/Rwyns-Tool-Collection/main/Rwyn.NightCityRework.Preview/1.png)

![2](https://raw.githubusercontent.com/rwynx/Rwyns-Tool-Collection/main/Rwyn.NightCityRework.Preview/2.png)

![3](https://raw.githubusercontent.com/rwynx/Rwyns-Tool-Collection/main/Rwyn.NightCityRework.Preview/4.png)

![4](https://raw.githubusercontent.com/rwynx/Rwyns-Tool-Collection/main/Rwyn.NightCityRework.Preview/5.png)

![5](https://raw.githubusercontent.com/rwynx/Rwyns-Tool-Collection/main/Rwyn.NightCityRework.Preview/10.png)

![6](https://raw.githubusercontent.com/rwynx/Rwyns-Tool-Collection/main/Rwyn.NightCityRework.Preview/6.png)

![7](https://raw.githubusercontent.com/rwynx/Rwyns-Tool-Collection/main/Rwyn.NightCityRework.Preview/7.png)

![8](https://raw.githubusercontent.com/rwynx/Rwyns-Tool-Collection/main/Rwyn.NightCityRework.Preview/8.png)

![9](https://raw.githubusercontent.com/rwynx/Rwyns-Tool-Collection/main/Rwyn.NightCityRework.Preview/9.png)

![10](https://raw.githubusercontent.com/rwynx/Rwyns-Tool-Collection/main/Rwyn.NightCityRework.Preview/3.png)

![11](https://raw.githubusercontent.com/rwynx/Rwyns-Tool-Collection/main/Rwyn.NightCityRework.Preview/11.png)

## Sources & Credits
* Amazing DVa art by **[Ulyses Bain on ArtStation.](https://www.artstation.com/yoolie)**
* Watson Whore & Abydos King Size & Sasha Devon & Sojasil Machistador - Cyberpunk 2077 in-game ads by **[Luke Poller.](https://www.artstation.com/lukepoller)**
* "Drugs Don't Work" by **[unknown - I found it here.](https://www.reddit.com/r/fakealbumcovers/comments/8yr59u/crycrycry_drugs_dont_work)**
* I ripped the rest directly from **Cyberpunk 2077** with **Wolvenkit** (an open-source modding tool for Cyberpunk 2077) OR made myself.

**[Check out my Thunderstore profile to see more of my stuff.](https://northstar.thunderstore.io/package/Rwyn/)**

# Release History
| Version | Update description
|-|-|
| 2.5.0| Change 1 `Custom space themed skybox added.` <br/> Change 2 `Sun, fog and smoke removed from the map.` <br/> Change 3 `Now that it has a custom skybox, it's night time now.` <br/> Change 4 `Stepbro Brewing Co. ad replaced with "MOORE! BODY WITHOUT LIMITS" ad.` <br/> Change 5 `Hard as F*, Hard as Rock ad added.` <br/> Change 6 `UpMart logo color changed to pink-violet.`
| 2.0.0| Change 1 `Remaining Stepbro Brewing Co. ads replaced with "LEGALIZE NUCLEAR" propaganda poster.` <br/> Change 2 `"Be Different, Think Different" ad replaced with "LEGALIZE NUCLEAR" propanda.` <br/> Change 3 `Solo Watson Whore girl poster replaced with a Cyber-chromed girl & Legalize Nuclear propaganda.` <br/> Change 4 `DYNALAR ad replaced with Mr. Stud & Upgrade to V3 ads.` <br/> Change 5 `"Cheap as Chips" ad replaced with "Watson Whore" tv ad.` <br/> Change 6 `"They Are Real NOW!" ad replaced with the pink hair Cyberpunk girl and Upgrade to V3 ads.` <br/> Change 7 `"BOTTOMS UP" poster is now even more censored.` <br/> Change 8 `The "HAMMOND" text on the large building were changed to "ARASAKA" to match the collective theme.` <br/> Change 9 `Deprecated Mod Warning added, thanks to my chad friend @S2ymi#6601` <br/> Change 10 `Some remaining images from the last update converted to DXT10 again.` <br/> `And many other small touches like censoring remaining nipples etc.`
| 1.3.6| `No actual changes were made to the mod in this update. In order to solve a problem experienced by the players who installed it with a "Mod Manager" -VTOL etc-, Thunderstore description has been edited and the "corrupted installation detected" warning added to the mod package. If there is an incorrect installation due to this, you will see this warning as an in-game popup upon launch and will be directed to this page.`
| 1.2.5| Change 1 `AngelCity banners have been replaced. When I first started, I used anime girls there as temporary placeholders, now there are cyberpunk-themed images.` <br/> Change 2 `Realized that I forgot to convert some images from DXT1 to DXT10 so they looked very bright. Should be fixed now.` <br/> Change 3 `Thunderstore description - Source and Credits sections.`
| 1.2.0| Change 1 `Bawdy Dog ad was replaced with Mr. Stud ad.` <br/> Change 2 `Broken domestic figure was removed.` <br/> Change 3 `New preview images added.`
| 1.0.5| Change 1 `Broken graffiti replaced again.`
| 1.0.2| Change 1 `File names and thunderstore description updated.`
| 1.0.0| First Release

# Find me on Steam & Discord
**[My Steam Profile](steamcommunity.com/id/rwynx)** || **[My Discord Profile](https://discordapp.com/users/296358394355253258)**